<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button text=""></ion-back-button>
    </ion-buttons>
    <ion-title>{{nomModul}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-margin">
  <ion-fab horizontal="end" vertical="bottom" (click)="goToAddEjercicio()">
    <ion-fab-button color="data"><ion-icon name="add-outline"></ion-icon></ion-fab-button>
  </ion-fab>
  <ion-fab vertical="bottom" horizontal="start" (click)="downloadExcel()" slot="fixed">
    <ion-fab-button>
      <ion-icon name="arrow-up-circle"></ion-icon>
    </ion-fab-button>
  </ion-fab>
  <ion-grid>
    <ion-row>
      <ion-col size="3">Nom</ion-col>
      <ion-col *ngFor="let index of notes[0]; let i = index;">
        P{{i+1}}
      </ion-col>
    </ion-row>
    <ion-row class="clickable" *ngFor="let alumne of alumnes; let y = index" (click)="pasoParametro(alumne)">
      <ion-col size="3">
        {{alumne.nombre_alumno}}
      </ion-col>
      <ion-col *ngFor="let index of notes[0]; let i = index" [ngStyle]="setBackgroundColor(notes[y][i])">
        {{notes[y][i]}}
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>

<style>
  .clickable{
    cursor: pointer;
  }
</style>